%global momorel 1

Name:		gammu
Version:        1.20.0
Release:        %{momorel}m%{?dist}
Summary:        Command Line utility to work with mobile phones

Group:          Applications/System
License:        GPL
URL:            http://cihar.com/gammu/
Source0:	http://dl.cihar.com/gammu/releases/%{name}-%{version}.tar.bz2 
NoSource:	0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	autoconf, gettext
#enabling bluetooth fonction
BuildRequires:	bluez-libs-devel
#enabling mysql sms fonction
BuildRequires:	postgresql-devel, mysql-devel
Requires:       bluez-utils

%package	devel
Summary:	Development files for %{name}	
Group:		Development/Libraries

Requires:	%{name} = %{version}-%{release}

%description
Gammu is command line utility and library to work with mobile phones
from many vendors.
Support for different models differs, but basic functions should work
with majority of them. Program can work with contacts,
messages (SMS, EMS and MMS), calendar, todos, filesystem,
integrated radio, camera, etc.
It also supports daemon mode to send and receive SMSes.

%description	devel
The %{name}-devel  package contains Header and libraries files for
developing applications that use %{name}

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

mkdir build
cd build
cmake .. -DENABLE_SHARED=ON -DCMAKE_INSTALL_PREFIX=%{_prefix} -DINSTALL_DOC_DIR=%{_docdir}/%{name}

make %{?_smp_mflags} VERBOSE=1

%install
rm -rf %{buildroot}
make -C build install  DESTDIR=%{buildroot}

# fix libdir to install
if [ "lib" != "%{_lib}" ]; then
    mv %{buildroot}%{_prefix}/lib %{buildroot}%{_libdir}
fi

# remove library
rm -f %{buildroot}%{_libdir}/libGammu.a

# remove default make installed docs
rm -rf %{buildroot}%{_docdir}/%{name}

%find_lang %{name}

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc docs/user/gammu.htm docs/user/readme.htm
%doc %{_mandir}/man1/*
%{_bindir}/*
%{_libdir}/libGammu*so.*

%files devel
%defattr(-,root,root)
%doc docs/develop/protocol docs/develop/Gammu.htm docs/develop/gammu_hints.txt docs/examples
%{_includedir}/%{name}
%{_libdir}/libGammu*so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Jul  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.20.0-1m)
- update to 1.20.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.10.6-2m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.10.6-2m)
- %%NoSource -> NoSource

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.10.6-1m)
- initial build for Momonga Linux 4
